
using Godot;
using Rokojori;
using System.Collections.Generic;

namespace Rokojori
{  
  [Tool]
  public partial class RokojoriPlugin:EditorPlugin
  {
    GizmoDrawerPlugin gizmoDrawerPlugin = new GizmoDrawerPlugin();

    public override void _EnterTree()
    {
      AddNode3DGizmoPlugin( gizmoDrawerPlugin );
    }

    public override void _ExitTree()
    {
      RemoveNode3DGizmoPlugin( gizmoDrawerPlugin );
    }
  }
}